using System;
using System.Diagnostics;
using Bytescout.PDFRenderer;


namespace OverrideResolutionInRenderedImage
{
    class Program
    {
        static void Main(string[] args)
        {
            // Create an instance of Bytescout.PDFRenderer.RasterRenderer object and register it
            RasterRenderer renderer = new RasterRenderer();
            renderer.RegistrationName = "demo";
            renderer.RegistrationKey = "demo";

            // Load PDF document
            renderer.LoadDocumentFromFile("multipage.pdf");

            // Specify Rendering Options
            RenderingOptions renderingOptions = new RenderingOptions();
            renderingOptions.ResolutionOverride = 300;

            for (int i = 0; i < renderer.GetPageCount(); i++)
            {
                // Render document page to 800x600 PNG image file.
                renderer.Save("image" + i + ".png", RasterImageFormat.PNG, i, 600, 800, renderingOptions);
            }

            // Cleanup
            renderer.Dispose();

            // Open result document in default associated application (for demo purpose)
            ProcessStartInfo processStartInfo = new ProcessStartInfo("image0.png");
            processStartInfo.UseShellExecute = true;
            Process.Start(processStartInfo);
        }
    }
}
